For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet all export jobs
      • POSTCreate an export job
      • GETGet supported export formats
      • GETGet the export job status by ID
LogoLogo
API StatusPartner Portal
UtilitiesData export

Create an export job

POST
/data_exports
POST
/v1/data_exports
$curl -X POST https://api.sandbox.monite.com/v1/data_exports \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "date_from": "date_from",
> "date_to": "date_to",
> "format": "csv",
> "objects": [
> {
> "name": "payable",
> "statuses": [
> "draft"
> ]
> }
> ]
>}'
1{
2 "id": "id"
3}
Request the export of payable and receivable documents with the specified statuses.
Was this page helpful?
Previous

Get supported export formats

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
date_fromstringRequiredformat: "date"
date_tostringRequiredformat: "date"
formatenumRequired
Allowed values:
objectslist of objectsRequired

Response

Successful Response
idstringformat: "uuid"

Errors

400
Post Data Exports Request Bad Request Error
401
Post Data Exports Request Unauthorized Error
403
Post Data Exports Request Forbidden Error
404
Post Data Exports Request Not Found Error
409
Post Data Exports Request Conflict Error
422
Post Data Exports Request Unprocessable Entity Error
500
Post Data Exports Request Internal Server Error